C--------------------------------------------------------------------
C The user of the OPEN-ADAS system and data (hereinafter "the User")
C accepts the following terms and conditions: 
C 
C   1. The University of Strathclyde uses all reasonable endeavours
C      to ensure the accuracy of the data provided and any
C      information given, but the University makes no warranty,
C      expressed or implied as to its accuracy, integrity, fitness
C      for purpose and shall not be responsible for the use to
C      which the data is put by the User and/or any consequences
C      arising out of any inaccuracies or omissions.
C 
C   2. Any downloaded OPEN-ADAS file is made available here for the
C      personal use of the User only.  It must not be used for any
C      commercial application, incorporated into any web site or in
C      any form re-distributed without express prior written
C      permission from the ADAS Project. In particular, but not by
C      way of limitation, it must not be:
C 
C        * inserted into a managed database structure
C        * redistributed along with a modelling or analysis code
C        * made available on a public website.
C 
C Permission for OPEN-ADAS data incorporation in non-commercial
C code/system development for scientific advance will not be
C unreasonably withheld, but will be subject to written agreement
C on a case by case basis.
C 
C The User will indemnify the University of Strathclyde and keep
C it fully and effectively indemnified against each and every
C claim made against the University as a result of the User's
C use of the data.  
C--------------------------------------------------------------------
CX UNIX PORT - SCCS info: Module @(#)$Header: /work/dummy/xxdata_01/xxidtl.for,v 1.1 2004/07/06 15:36:36 whitefor Exp $ Data $Date: 2004/07/06 15:36:36 $
CX
       SUBROUTINE XXIDTL( INDEX , N , L )
       IMPLICIT NONE
C-----------------------------------------------------------------------
C
C  ****************** FORTRAN77 SUBROUTINE: XXIDTL *********************
C
C  PURPOSE:  INVERSE OF FUNCTION I4IDFL. RETURNS THE UNIQUE N AND L
C            QUANTUM NUMBERS WHICH GENERATE THE GIVEN INDEX WHEN PASSED
C            TO I4IDFL.
C
C  CALLING PROGRAM: GENERAL USE.
C
C  SUBROUTINE:
C
C  INPUT : (I*4)  INDEX    = INDEX NUMBER.
C
C  OUTPUT: (I*4)  N       = N QUANTUM NUMBER.
C  OUTPUT: (I*4)  L       = L QUANTUM NUMBER.
C
C          (I*4)  ID      = INDEX RETURNED BY FUNCTION I4IDFL
C
C ROUTINES:
C          ROUTINE    SOURCE    BRIEF DESCRIPTION
C          -------------------------------------------------------------
C          I4IDFL     ADAS      RETURNS UNIQUE INDEX FROM QUANTUM
C                               NUMBERS N AND L.
C
C AUTHOR:  JONATHAN NASH (TESSELLA SUPPORT SERVICES PLC)
C          K1/0/81
C          JET EXT. 5183
C
C DATE:    10/09/93
C
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
      INTEGER   I4IDFL
      INTEGER   INDEX  , N      , L
      INTEGER   ID
C-----------------------------------------------------------------------
C
C***********************************************************************
C INITIALIZE VALUES.
C***********************************************************************
C
      N = 1
      L = 0
C
C***********************************************************************
C DETERMINE N VALUE.
C***********************************************************************
C
    1 CONTINUE
      ID = I4IDFL( N+1, L )
      IF (ID .LE. INDEX) THEN
         N = N + 1
         GOTO 1
      ENDIF
C
C***********************************************************************
C DETERMINE L VALUE.
C***********************************************************************
C
    2 CONTINUE
      ID = I4IDFL( N, L+1 )
      IF (ID .LE. INDEX) THEN
         L = L + 1
         GOTO 2
      ENDIF
C
C-----------------------------------------------------------------------
C
      RETURN
      END
